GraphicsMagick

- Home
- Project
- Download
- Install
- Source
- News
- Utilities
- Programming
- Reference

# plasma

## Create a Plasma fractal image.

Contents

- PlasmaImage

# PlasmaImage

## Synopsis

    MagickPassFail PlasmaImage( Image *image, const SegmentInfo *segment,
                                unsigned long attenuate, unsigned long depth );

## Description

PlasmaImage() initializes an image with plasma fractal values. The image must be initialized with a base color and the random number generator seeded before this method is called.

The format of the PlasmaImage method is:

    MagickPassFail PlasmaImage( Image *image, const SegmentInfo *segment,
                                unsigned long attenuate, unsigned long depth );

image:
  The image.
segment:
  Define the region to apply plasma fractals values.
attenuate:
  Define the plasma attenuation factor.
depth:
  Limit the plasma recursion depth.